#!/usr/bin/php -q
<?php

include "db.php";
include "header.php";
/*******************************************************************************
 *                                                                             *
 *                                                                             *
 *                                                                             *
 *                                                                             *
 *                                                                             *
 *                                                                             *
 *                                                                             *
 ******************************************************************************/

$time = time();

$last_week  = ( $time - (86400 * 7) );  
$this_week  = ( $time );

$last_year  = date('Y',$last_week);
$last_month = date('m',$last_week);
$last_day   = date('d',$last_week);

$this_year  = date('Y',$this_week);
$this_month = date('m',$this_week);
$this_day   = date('d',$this_week);


// create a table to put the aggregates in

$sql = "
  CREATE TABLE ".$dbprefix."_xf_project_counts_weekly_tmp (
  group_id int,
  type text,
  count float(8)
)
";
$rel = db_query($sql);
if (!$rel) {
	echo "<P>$sql<P>".db_error();
	echo db_error();
}

#forum messages
$sql = "INSERT INTO ".$dbprefix."_xf_project_counts_weekly_tmp "
      ."SELECT fgl.group_id,'forum',LOG(3 * COUNT(f.msg_id)) AS count "
			."FROM ".$dbprefix."_xf_forum f,".$dbprefix."_xf_forum_group_list fgl "
			."WHERE f.group_forum_id=fgl.group_forum_id "
			."AND date > '$last_week' "
			."AND date < '$this_week' "
			."GROUP BY group_id";
			
$rel = db_query($sql);
if (!$rel) {
	echo "<P>$sql<P>".db_error();
	echo db_error();
}

#project manager tasks
$sql = "INSERT INTO ".$dbprefix."_xf_project_counts_weekly_tmp "
      ."SELECT pgl.group_id,'tasks',LOG(4 * COUNT(pt.project_task_id)) AS count "
			."FROM ".$dbprefix."_xf_project_task pt,".$dbprefix."_xf_project_group_list pgl "
			."WHERE pt.group_project_id=pgl.group_project_id "
			."AND end_date > '$last_week' "
			."AND end_date < '$this_week' "
			."GROUP BY group_id";

// print "\n\n".$sql;
$rel = db_query($sql);
if (!$rel) {
	echo "<P>$sql<P>".db_error();
	echo db_error();
}

#bugs
$sql = "INSERT INTO ".$dbprefix."_xf_project_counts_weekly_tmp "
      ."SELECT agl.group_id,'bugs',LOG(3 * COUNT(*)) AS count "
			."FROM ".$dbprefix."_xf_artifact_group_list agl,".$dbprefix."_xf_artifact a "
			."WHERE a.open_date > '$last_week' "
			."AND a.open_date < '$this_week' "
			."AND a.group_artifact_id=agl.group_artifact_id "
			."AND agl.datatype='1' "
			."GROUP BY agl.group_id";

#print "\n\n".$sql;
$rel = db_query($sql);
if (!$rel) {
	echo "<P>$sql<P>".db_error();
	echo db_error();
}

#support
$sql = "INSERT INTO ".$dbprefix."_xf_project_counts_weekly_tmp "
      ."SELECT agl.group_id,'support',LOG(5 * COUNT(*)) AS count "
			."FROM ".$dbprefix."_xf_artifact_group_list agl,".$dbprefix."_xf_artifact a "
			."WHERE a.open_date > '$last_week' "
			."AND a.open_date < '$this_week' "
			."AND a.group_artifact_id=agl.group_artifact_id "
			."AND agl.datatype='2' "
			."GROUP BY agl.group_id";

#print "\n\n".$sql;
$rel = db_query($sql);
if (!$rel) {
	echo "<P>$sql<P>".db_error();
	echo db_error();
}

#patches
$sql = "INSERT INTO ".$dbprefix."_xf_project_counts_weekly_tmp "
      ."SELECT agl.group_id,'patches',LOG(10 * COUNT(*)) AS count "
			."FROM ".$dbprefix."_xf_artifact_group_list agl,".$dbprefix."_xf_artifact a "
			."WHERE a.open_date > '$last_week' "
			."AND a.open_date < '$this_week' "
			."AND a.group_artifact_id=agl.group_artifact_id "
			."AND agl.datatype='3' "
			."GROUP BY agl.group_id";

#print "\n\n".$sql;
$rel = db_query($sql);
if (!$rel) {
	echo "<P>$sql<P>".db_error();
	echo db_error();
}

#bugs
$sql = "INSERT INTO ".$dbprefix."_xf_project_counts_weekly_tmp "
      ."SELECT agl.group_id,'features',LOG(2 * COUNT(*)) AS count "
			."FROM ".$dbprefix."_xf_artifact_group_list agl,".$dbprefix."_xf_artifact a "
			."WHERE a.open_date > '$last_week' "
			."AND a.open_date < '$this_week' "
			."AND a.group_artifact_id=agl.group_artifact_id "
			."AND agl.datatype='4' "
			."GROUP BY agl.group_id";

#print "\n\n".$sql;
$rel = db_query($sql);
if (!$rel) {
	echo "<P>$sql<P>".db_error();
	echo db_error();
}

#Others
$sql = "INSERT INTO ".$dbprefix."_xf_project_counts_weekly_tmp "
      ."SELECT agl.group_id,'artifacts',LOG(COUNT(*)) AS count "
			."FROM ".$dbprefix."_xf_artifact_group_list agl,".$dbprefix."_xf_artifact a "
			."WHERE a.open_date > '$last_week' "
			."AND a.open_date < '$this_week' "
			."AND a.group_artifact_id=agl.group_artifact_id "
			."AND agl.datatype='0' "
			."GROUP BY agl.group_id";

#print "\n\n".$sql;
$rel = db_query($sql);
if (!$rel) {
	echo "<P>$sql<P>".db_error();
	echo db_error();
}


#developers
#$sql="INSERT INTO project_counts_weekly_tmp 
#SELECT group_id,'developers',log((5*count(*))) AS count FROM user_group GROUP BY group_id";
#$rel = db_query($sql);
#echo "<P>$sql<P>".db_error();
#


#file releases
$sql = "INSERT INTO ".$dbprefix."_xf_project_counts_weekly_tmp "
      ."SELECT fp.group_id,'filereleases',LOG(5 * COUNT(*)) AS count "
			."FROM ".$dbprefix."_xf_frs_release fr,".$dbprefix."_xf_frs_package fp "
			."WHERE fp.package_id=fr.package_id "
			."AND fr.release_date > '$last_week' "
			."AND fr.release_date < '$this_week' "
			."GROUP BY fp.group_id";
			
$rel = db_query($sql);
if (!$rel) {
	echo "<P>$sql<P>".db_error();
	echo db_error();
}

#create a new table to insert the final records into
$sql = "
CREATE TABLE ".$dbprefix."_xf_project_metric_weekly_tmp1 (
  ranking int(11) auto_increment,
  group_id int not null,
  value float (10),
	primary key (ranking)
)
";
$rel = db_query($sql);
if (!$rel) {
	echo "<P>$sql<P>".db_error();
	echo db_error();
}

#insert the rows into the table in order, adding a sequential rank #
$sql = "INSERT INTO ".$dbprefix."_xf_project_metric_weekly_tmp1 (group_id,value) "
      ."SELECT pcwt.group_id,SUM(pcwt.count) AS value "
			."FROM ".$dbprefix."_xf_project_counts_weekly_tmp pcwt "
			."WHERE pcwt.count > 0 "
			."GROUP BY group_id ORDER BY value DESC";
			
$rel = db_query($sql);
if (!$rel) {
	echo "<P>$sql<P>".db_error();
	echo db_error();
}

#numrows in the set
$sql = "SELECT COUNT(*) FROM ".$dbprefix."_xf_project_metric_weekly_tmp1";

$rel = db_query($sql);
if (!$rel) {
	echo "<P>$sql<P>".db_error();
	echo db_error();
}

$counts = db_result($rel,0,0);
// print "\n\nCounts: ".$counts;

#drop the old metrics table
$sql="DELETE FROM ".$dbprefix."_xf_project_weekly_metric";

$rel = db_query($sql);
if (!$rel) {
	echo "<P>$sql<P>".db_error();
	echo db_error();
}

$sql = "INSERT INTO ".$dbprefix."_xf_project_weekly_metric (ranking,percentile,group_id) "
      ."SELECT ranking,(100 - (100 * (ranking - 1 / $counts) ) ),group_id "
			."FROM ".$dbprefix."_xf_project_metric_weekly_tmp1 "
			."ORDER BY ranking ASC";
			
$rel = db_query($sql);
if (!$rel) {
	echo "<P>$sql<P>".db_error();
	echo db_error();
}

echo db_error();


$rel = db_query("DROP TABLE ".$dbprefix."_xf_project_counts_weekly_tmp;");
$rel = db_query("DROP TABLE ".$dbprefix."_xf_project_metric_weekly_tmp1;");


include "footer.php";
?>
