<?php
/**
  *
  * SourceForge News Facility
  *
  * SourceForge: Breaking Down the Barriers to Open Source Development
  * Copyright 1999-2001 (c) VA Linux Systems
  * http://sourceforge.net
  *
  * @version   $Id: index.php,v 1.3 2002/05/30 08:39:30 arjenvanefferen Exp $
  *
  */
include_once ("../../mainfile.php");

$langfile="news.php";
require_once(XOOPS_ROOT_PATH."/xf/include/pre.php");
require_once(XOOPS_ROOT_PATH."/xf/include/project_summary.php");
require_once(XOOPS_ROOT_PATH."/xf/news/news_utils.php");
require_once(XOOPS_ROOT_PATH."/xf/forum/forum_utils.php");

if (!$group_id)
{
  $group_id = $xoopsForge['sysnews'];
}

$group =& group_get_object($group_id);

news_header ($group);

echo '<P>'._XF_NWS_CHOOSEITEMTOBROWSE.'<P>';

/*
	Put the result set (list of forums for this group) into a column with folders
*/
if ($group_id && ($group_id != $xoopsForge['sysnews'])) {
	$sql = "SELECT * "
	      ."FROM ".$xoopsDB->prefix("xf_news_bytes")." "
				."WHERE group_id='$group_id' "
				."AND is_approved<>'4' "
				."ORDER BY date DESC";
} else {
	$sql = "SELECT * "
	      ."FROM ".$xoopsDB->prefix("xf_news_bytes")." "
				."WHERE is_approved='1' "
				."ORDER BY date DESC";
}

if (!$limit || $limit > 50)
  $limit=50;
	
$result = $xoopsDB->query($sql, $limit+1, $offset);
$rows = $xoopsDB->getRowsNum($result);
$more=0;
if ($rows > $limit) {
	$rows = $limit;
  $more = 1;
}

if ($rows < 1) {
	if ($group_id) {
	  echo '<H4>'.sprintf(_XF_NWS_NONEWSFOUNDFOR,$group->getPublicName()).'</H4>';
	} else {
	  echo '<H4>'._XF_NWS_NONEWSFOUND.'</H4>';
	}
	echo '<P>'._XF_NWS_NOITEMSFOUND;
	echo $xoopsDB->error();
} else {
	echo '<table WIDTH="100%" border=0>
		<TR><TD VALIGN="TOP">'; 

	for ($j = 0; $j < $rows; $j++) { 
		echo '
		<A HREF="'.XOOPS_URL.'/xf/forum/forum.php?forum_id='.unofficial_getDBResult($result, $j, 'forum_id').'">'.
		'<img src="'.XOOPS_URL.'/xf/images/ic/cfolder15.png" width="15" height="13" BORDER="0"> &nbsp;'.
		$ts->makeTboxData4Show(unofficial_getDBResult($result, $j, 'summary')).'</A> ';
		echo '
		<BR>';
	}

  if ($more) {
    echo '<br>[ <a href="?group_id='.$group_id.'&limit='.$limit.'&offset='.(string)($offset+$limit) .'">'._XF_NWS_OLDERHEADLINES.'</a> ]';
  }

  echo '
	</TD></TR></TABLE>';
}

news_footer();
?>
