<?php
/**
  *
  * SourceForge News Facility
  *
  * SourceForge: Breaking Down the Barriers to Open Source Development
  * Copyright 1999-2001 (c) VA Linux Systems
  * http://sourceforge.net
  *
  * @version   $Id: submit.php,v 1.3 2002/05/30 22:06:32 arjenvanefferen Exp $
  *
  */
include_once ("../../mainfile.php");

$langfile="news.php";
require_once(XOOPS_ROOT_PATH."/xf/include/pre.php");
require_once(XOOPS_ROOT_PATH."/xf/include/project_summary.php");
require_once(XOOPS_ROOT_PATH."/xf/news/news_utils.php");
require_once(XOOPS_ROOT_PATH."/xf/forum/forum_utils.php");

	//news must now be submitted from a project page - 

if (!$group_id) {
  redirect_header(XOOPS_URL."/", 2, "ERROR<br />No Group ID");
  exit;
}

if ($xoopsUser) {

  $group =& group_get_object($group_id);
  $perm  =& $group->getPermission( $xoopsUser );

  if (!$perm->isAdmin() && !$perm->isSuperUser())
  {
	  redirect_header(XOOPS_URL."/",2,_XF_G_PERMISSIONDENIED."<br />"._XF_NWS_YOUCANNOTSUBMITNEWS);
    exit;
	}
	
	if ($post_changes) {
		//check to make sure both fields are there
		if ($summary && $details) {
			/*
				Insert the row into the db if it's a generic message
				OR this person is an admin for the group involved
			*/

       			/*
       				create a new discussion forum without a default msg
       				if one isn't already there
       			*/

       			$new_id = forum_create_forum($xoopsForge['sysnews'], $summary, 1, 0);
       			$sql = "INSERT INTO ".$xoopsDB->prefix("xf_news_bytes")." "
						      ."(group_id,submitted_by,is_approved,date,forum_id,summary,details) "
									."VALUES ("
									."'$group_id',"
									."'".$xoopsUser->getVar("uid")."',"
									."'0',"
									."'".time()."',"
									."'$new_id',"
									."'".$ts->makeTboxData4Save($summary)."',"
									."'".$ts->makeTareaData4Save($details)."')";
       			$result = $xoopsDB->queryF($sql);
       			if (!$result) {
       				$feedback .= ' ERROR doing insert ';
       			} else {
       				$feedback .= ' '._XF_NWS_NEWSADDED.' ';
       			}
		} else {
			$feedback .= ' '._XF_NWS_BOTHSUBJECTANDBODY.' ';
		}
	}

	/*
		Show the submit form
	*/
	news_header ($group);

	echo '
		<P>
		<FORM ACTION="'.$PHP_SELF.'" METHOD="POST">
		<INPUT TYPE="HIDDEN" NAME="group_id" VALUE="'.$group_id.'">
		<B>'._XF_NWS_FORPROJECT.': '. $group->getPublicName() .'</B>
		<INPUT TYPE="HIDDEN" NAME="post_changes" VALUE="y">
		<P>
		<B>'._XF_G_SUBJECT.':</B><BR>
		<INPUT TYPE="TEXT" NAME="summary" VALUE="" SIZE="30" MAXLENGTH="60">
		<P>
		<B>'._XF_NWS_DETAILS.':</B><BR>
		<TEXTAREA NAME="details" ROWS="5" COLS="50" WRAP="SOFT"></TEXTAREA><BR>
		<INPUT TYPE="SUBMIT" NAME="SUBMIT" VALUE="'._XF_G_SUBMIT.'">
		</FORM>';

	news_footer(array());

} else {
  redirect_header(XOOPS_URL."/", 2,_NOPERM);
  exit;
}
?>
