<?php
/**
  *
  * SourceForge Project/Task Manager (PM)
  *
  * SourceForge: Breaking Down the Barriers to Open Source Development
  * Copyright 1999-2001 (c) VA Linux Systems
  * http://sourceforge.net
  *
  * @version   $Id: detail_task.php,v 1.2 2002/05/29 10:28:44 arjenvanefferen Exp $
  *
  */
$g =& group_get_object($group_id);

pm_header($g, _XF_PM_VIEWATASK, $group_project_id);

$sql = "SELECT * FROM ".$xoopsDB->prefix("xf_project_task")." "
      ."WHERE project_task_id='$project_task_id' "
      ."AND group_project_id='$group_project_id'";

$result = $xoopsDB->query($sql);

?>

<TABLE BORDER="0" WIDTH="100%">
	<TR>
		<TD><B><?php echo _XF_PM_PERCENTCOMPLETE; ?>:</B>
		<BR>
		<?php echo unofficial_getDBResult($result,0,'percent_complete'); ?>%
		</TD>

		<TD><B><?php echo _XF_G_PRIORITY; ?>:</B>
		<BR>
		<?php echo unofficial_getDBResult($result,0,'priority'); ?>
		</TD>
	</TR>

  <TR>
		<TD COLSPAN="2"><B><?php echo _XF_G_SUMMARY; ?>:</B>
		<BR>
		<?php echo $ts->makeTboxData4Show(unofficial_getDBResult($result,0,'summary')); ?>
		</TD>
	</TR>

	<TR>
		<TD COLSPAN="2">
		<B><?php echo _XF_PM_ORIGINALCOMMENT; ?>:</B>
		<P>
		<?php echo $ts->makeTareaData4Show(unofficial_getDBResult($result,0,'details')); ?>
		</TD>
	</TR>

	<TR>
  	<TD COLSPAN="2"><B><?php echo _XF_PM_STARTDATE; ?>:</B>
		<BR>
		<?php echo date('Y-m-d', unofficial_getDBResult($result,0,'start_date')); ?>
		</TD>
	</TR>

	<TR>
		<TD COLSPAN="2"><B><?php echo _XF_PM_ENDDATE; ?>:</B>
		<BR>
		<?php echo date('Y-m-d', unofficial_getDBResult($result,0,'end_date')); ?>
		</TD>
	</TR>

	<TR>
		<TD VALIGN="TOP">
		<?php
		/*
			Get the list of ids this is assigned to and convert to array
			to pass into multiple select box
		*/

		$result2 = $xoopsDB->query("SELECT u.uname AS User_Name "
		                          ."FROM ".$xoopsDB->prefix("users")." u,".$xoopsDB->prefix("xf_project_assigned_to")." pat "
                              ."WHERE u.uid=pat.assigned_to_id "
                              ."AND project_task_id='$project_task_id'");

		ShowResultSet($result2,_XF_G_ASSIGNEDTO);
		?>
		</TD>
		<TD VALIGN="TOP">
		<?php
		/*
			Get the list of ids this is dependent on and convert to array
			to pass into multiple select box
		*/
		$result2 = $xoopsDB->query("SELECT pt.summary "
                              ."FROM ".$xoopsDB->prefix("xf_project_dependencies")." pd,".$xoopsDB->prefix("xf_project_task")." pt "
                              ."WHERE is_dependent_on_task_id=pt.project_task_id "
                              ."AND pd.project_task_id='$project_task_id'");

		ShowResultSet($result2,_XF_PM_DEPENDENTONTASK);
		?>
		</TD>
	</TR>

	<TR>
		<TD>
		<B><?php echo _XF_PM_HOURS; ?>:</B>
		<BR>
		<?php echo unofficial_getDBResult($result,0,'hours'); ?>
		</TD>

		<TD>
		<B><?php echo _XF_PM_STATUS; ?>:</B>
		<BR>
		<?php
		echo pm_data_get_status_name(unofficial_getDBResult($result,0,'status_id'));
		?>
		</TD>
	</TR>

	<TR>
		<TD COLSPAN="2">
			<?php echo pm_show_dependent_tasks ($project_task_id,$group_id,$group_project_id); ?>
		</TD>
	</TR>

	<TR>
		<TD COLSPAN="2">
			<?php echo pm_show_task_details ($project_task_id); ?>
		</TD>
	</TR>

	<TR>
		<TD COLSPAN="2">
			<?php echo pm_show_task_history ($project_task_id); ?>
		</TD>
	</TR>

</table>
<?php

pm_footer();

?>
