<?php
/**
  *
  * Show Release Notes/ChangeLog Page
  *
  * SourceForge: Breaking Down the Barriers to Open Source Development
  * Copyright 1999-2001 (c) VA Linux Systems
  * http://sourceforge.net
  *
  * @version   $Id: shownotes.php,v 1.2 2002/05/29 18:15:46 arjenvanefferen Exp $
  *
  */

include_once("../../mainfile.php");

$langfile="project.php";
require_once(XOOPS_ROOT_PATH."/xf/include/pre.php");
require_once(XOOPS_ROOT_PATH."/xf/include/project_summary.php");

include ("../../header.php");
OpenTable();

$result = $xoopsDB->query("SELECT r.notes,r.changes,r.preformatted,r.name,p.group_id "
                         ."FROM ".$xoopsDB->prefix("xf_frs_release")." r,".$xoopsDB->prefix("xf_frs_package")." p "
												 ."WHERE r.package_id=p.package_id "
												 ."AND r.release_id='$release_id'");

if (!$result || $xoopsDB->getRowsNum($result) < 1) {
	echo $xoopsDB->error();
	echo "Error - That Release Was Not Found";
} else {

	$group_id = unofficial_getDBResult($result,0,'group_id');

  $project =& group_get_object($group_id);
  echo "<b>"._XF_G_PROJECT.": ".$project->getPublicName()."</b><br /><br />";
  echo "<B style='font-size:16px;align:left;'>"._XF_PRJ_RELEASENOTESANDCHANGELOG."</B><br />";
  project_tabs ('downloads', $group_id);

	$title = _XF_PRJ_NOTES;
	$content = "<h4 style='text-align:left;'>"._XF_PRJ_RELEASENAME.": <A HREF='showfiles.php?group_id=".$group_id."'>".$ts->makeTboxData4Show(unofficial_getDBResult($result,0,'name'))."</A></H3>"
	          ."<P>";

  /*
	  Show preformatted or plain notes/changes
  */
	if (unofficial_getDBResult($result,0,'preformatted')) {
		$content .= "<PRE><B>"._XF_PRJ_NOTES.":</B>"
		           .$ts->makeTboxData4Edit(unofficial_getDBResult($result,0,'notes'))
							 ."<HR NOSHADE>"
							 ."<B>"._XF_PRJ_CHANGES.":</B>"
							 .$ts->makeTboxData4Edit(unofficial_getDBResult($result,0,'changes'))."</PRE>";

	} else {
		$content .= "<B>"._XF_PRJ_NOTES.":</B>"
		           .$ts->makeTareaData4Show(unofficial_getDBResult($result,0,'notes'))
							 ."<HR NOSHADE>"
							 ."<B>"._XF_PRJ_CHANGES.":</B>"
							 .$ts->makeTareaData4Show(unofficial_getDBResult($result,0,'changes'));
	}

	themesidebox($title, $content);

}

CloseTable();
include ("../../footer.php");
?>
