<?php
/**
  *
  * SourceForge Survey Facility
  *
  * SourceForge: Breaking Down the Barriers to Open Source Development
  * Copyright 1999-2001 (c) VA Linux Systems
  * http://sourceforge.net
  *
  * @version   $Id: edit_question.php,v 1.3 2002/06/07 09:17:34 arjenvanefferen Exp $
  *
  */
include_once ("../../../mainfile.php");

$langfile="survey.php";
require_once(XOOPS_ROOT_PATH."/xf/include/pre.php");
require_once(XOOPS_ROOT_PATH."/xf/include/project_summary.php");
require_once(XOOPS_ROOT_PATH."/xf/survey/survey_utils.php");

project_check_access ($group_id);

// get current information
$group =& group_get_object($group_id);
$perm  =& $group->getPermission( $xoopsUser );

survey_header($group, _XF_SUR_EDITAQUESTIONS, 'is_admin_page');
	
if ($post_changes) {
	$sql = "UPDATE ".$xoopsDB->prefix("xf_survey_questions")." "
	      ."SET question='".$ts->makeTboxData4Save($question)."',"
				."question_type='$question_type' "
				."WHERE question_id='$question_id' "
				."AND group_id='$group_id'";
				
	$result = $xoopsDB->queryF($sql);
	
	if (!$result) {
    $feedback .= ' UPDATE FAILED ';
  } else {
    $feedback .= ' '._XF_SUR_QUESTIONUPDATED.' ';
  }
}

$sql = "SELECT * FROM ".$xoopsDB->prefix("xf_survey_questions")." "
      ."WHERE question_id='$question_id' AND group_id='$group_id'";
$result = $xoopsDB->queryF($sql);

if ($result) {
	$question = unofficial_getDBResult($result, 0, "question");
	$question_type = unofficial_getDBResult($result, 0, "question_type");
} else {
	$feedback .= " Error finding question ";
}

?>
<SCRIPT LANGUAGE="JavaScript">
<!--
var timerID2 = null;

function show_questions() {
   newWindow = open("","occursDialog","height=600,width=700,scrollbars=yes,resizable=yes");
   newWindow.location=('show_questions.php?group_id=<?php echo $group_id; ?>');
}

// -->
</script>

<H4><?php printf(_XF_SUR_EDITINGQUESTIONNR, $question_id); ?></H4>

<H4><FONT COLOR="RED"><?php echo _XF_SUR_BADIDEATOCHANGE; ?></FONT></H4> 
<P>
<?php echo _XF_SUR_IFYOUCHANGE; ?>
<P>

<FORM ACTION="<?php echo $PHP_SELF; ?>" METHOD="POST">
<INPUT TYPE="HIDDEN" NAME="post_changes" VALUE="Y">
<INPUT TYPE="HIDDEN" NAME="group_id" VALUE="<?php echo $group_id; ?>">
<INPUT TYPE="HIDDEN" NAME="question_id" VALUE="<?php echo $question_id; ?>">

<?php echo _XF_SUR_QUESTION; ?>:
<BR>
<INPUT TYPE="TEXT" NAME="question" VALUE="<?php echo $ts->makeTboxData4Edit($question); ?>" SIZE="60" MAXLENGTH="150">

<P>
<?php echo _XF_SUR_QUESTIONTYPE; ?>:
<BR>
<?php

$sql = "SELECT * FROM ".$xoopsDB->prefix("xf_survey_question_types");
$result = $xoopsDB->query($sql);
echo html_build_select_box($result,'question_type',$question_type,false);

?>
<P>

<INPUT TYPE="SUBMIT" NAME="SUBMIT" VALUE="<?php echo _XF_G_SUBMIT; ?>">
</FORM>  

<P>
<FORM>
<INPUT TYPE="BUTTON" NAME="none" VALUE="<?php echo _XF_SUR_SHOWEXISTINGQUESTIONS; ?>" ONCLICK="show_questions()">
</FORM>

<?php

survey_footer();

?>
