<?php
/**
  *
  * SourceForge Survey Facility
  *
  * SourceForge: Breaking Down the Barriers to Open Source Development
  * Copyright 1999-2001 (c) VA Linux Systems
  * http://sourceforge.net
  *
  * @version   $Id: edit_survey.php,v 1.4 2002/06/18 07:39:59 arjenvanefferen Exp $
  *
  */
include_once ("../../../mainfile.php");

$langfile="survey.php";
require_once(XOOPS_ROOT_PATH."/xf/include/pre.php");
require_once(XOOPS_ROOT_PATH."/xf/include/project_summary.php");
require_once(XOOPS_ROOT_PATH."/xf/survey/survey_utils.php");

project_check_access ($group_id);

// get current information
$group =& group_get_object($group_id);
$perm  =& $group->getPermission( $xoopsUser );

survey_header($group, _XF_SUR_EDITASURVEY, 'is_admin_page');
	
if ($post_changes) {
	$sql = "UPDATE ".$xoopsDB->prefix("xf_surveys")." "
	      ."SET survey_title='$survey_title',"
				."survey_questions='$survey_questions',"
				."is_active='$is_active' "
				."WHERE survey_id='$survey_id' "
				."AND group_id='$group_id'";
				
	$result = $xoopsDB->queryF($sql);
	
	if (!$result) {
		$feedback .= ' UPDATE FAILED ';
		echo $xoopsDB->error();
	} else {
		$feedback .= ' '._XF_SUR_SURVEYUPDATED.' ';
	}
}

/*
	Get this survey out of the DB
*/
if ($survey_id) {
	$sql = "SELECT * FROM ".$xoopsDB->prefix("xf_surveys")." "
	      ."WHERE survey_id='$survey_id' "
				."AND group_id='$group_id'";
	$result = $xoopsDB->query($sql);
	$survey_title = unofficial_getDBResult($result, 0, "survey_title");
	$survey_questions = unofficial_getDBResult($result, 0, "survey_questions");
	$is_active = unofficial_getDBResult($result, 0, "is_active");
}
?>
<SCRIPT LANGUAGE="JavaScript">
<!--
var timerID2 = null;

function show_questions() {
   newWindow = open("","occursDialog","height=600,width=700,scrollbars=yes,resizable=yes");
   newWindow.location=('show_questions.php?group_id=<?php echo $group_id; ?>');
}

// -->
</script>

<H4><FONT COLOR="RED"><?php echo _XF_SUR_BADIDEATOCHANGESURVEY; ?></FONT></H4>
<P>
<?php echo _XF_SUR_IFYOUCHANGESURVEY; ?>
<P>
<FORM ACTION="<?php echo $PHP_SELF; ?>" METHOD="POST">
<INPUT TYPE="HIDDEN" NAME="group_id" VALUE="<?php echo $group_id; ?>">
<INPUT TYPE="HIDDEN" NAME="post_changes" VALUE="y">
<B><?php echo _XF_SUR_NAMEOFSURVEY; ?>:</B>
<BR>
<INPUT TYPE="HIDDEN" NAME="survey_id" VALUE="<?php echo $survey_id; ?>">
<INPUT TYPE="TEXT" NAME="survey_title" VALUE="<?php echo $ts->makeTboxData4Show($survey_title); ?>" LENGTH="60" MAXLENGTH="150">
<P>
<?php echo _XF_SUR_LISTQUESTIONNUMBERS; ?>
<BR>
<?php echo _XF_SUR_LISTQUESTIONEX; ?>
<BR><INPUT TYPE="TEXT" NAME="survey_questions" VALUE="<?php echo $survey_questions; ?>" LENGTH="90" MAXLENGTH="1500"><P>
<B><?php echo _XF_SUR_ISACTIVE; ?></B>
<BR><INPUT TYPE="RADIO" NAME="is_active" VALUE="1"<?php if ($is_active=='1') { echo ' CHECKED'; } ?>> <?php echo _YES; ?>
<BR><INPUT TYPE="RADIO" NAME="is_active" VALUE="0"<?php if ($is_active=='0') { echo ' CHECKED'; } ?>> <?php echo _NO; ?>
<P>
<INPUT TYPE="SUBMIT" NAME="SUBMIT" VALUE="<?php echo _XF_G_SUBMIT; ?>">
</FORM>  

<?php

function  ShowResultsEditSurvey($result) {
	global $group_id, $xoopsDB, $PHP_SELF;
	$rows  =  $xoopsDB->getRowsNum($result);
	$cols  =  unofficial_getNumFields($result);

	echo "<h4>".sprintf(_XF_SUR_XFOUND, $rows)."</h4>";

  echo "<table border='0' width='100%'><tr class='bg2'>";
	for ($i  =  0;  $i  <  $cols;  $i++)  {
		printf("<TD><b>%s</b></td>\n", unofficial_getFieldName($result, $i));
	}
	echo "</tr>";

	for($j  =  0;  $j  <  $rows;  $j++)  {

		echo "<TR class='".($j%2>0?'bg1':'bg3')."'>\n";
		echo "<TD><A HREF='$PHP_SELF?group_id=$group_id&survey_id=".unofficial_getDBResult($result,$j,0)."'>".unofficial_getDBResult($result,$j,0)."</A></TD>";
		for ($i = 1; $i < $cols; $i++)  {
			printf("<TD>%s</TD>\n",unofficial_getDBResult($result,$j,$i));
		}

		echo "</tr>";
	}
	echo "</table>";
}

/*
	Select all surveys from the database
*/

$sql = "SELECT survey_id,survey_title,survey_questions,is_active FROM ".$xoopsDB->prefix("xf_surveys")." WHERE group_id='$group_id'";

$result = $xoopsDB->query($sql);

?>
<P>
<FORM>
<INPUT TYPE="BUTTON" NAME="none" VALUE="<?php echo _XF_SUR_SHOWEXISTINGQUESTIONS; ?>" ONCLICK="show_questions()">
</FORM>
<P>
<H4><?php echo _XF_SUR_EXISTINGSURVEYS; ?></H4>
<?php

ShowResultsEditSurvey($result);

survey_footer();
?>
