<?php
/**
  *
  * SourceForge Survey Facility
  *
  * SourceForge: Breaking Down the Barriers to Open Source Development
  * Copyright 1999-2001 (c) VA Linux Systems
  * http://sourceforge.net
  *
  * @version   $Id: index.php,v 1.2 2002/05/29 19:36:11 arjenvanefferen Exp $
  *
  */
include_once ("../../mainfile.php");

$langfile="survey.php";
require_once(XOOPS_ROOT_PATH."/xf/include/pre.php");
require_once(XOOPS_ROOT_PATH."/xf/include/project_summary.php");
require_once(XOOPS_ROOT_PATH."/xf/include/vote_function.php");
require_once(XOOPS_ROOT_PATH."/xf/survey/survey_utils.php");

if (!$group_id) {
	echo "<H4>For some reason, the Group ID or Survey ID did not make it to this page</H4>";
	exit;
}

$group =& group_get_object($group_id);

survey_header($group);

function  ShowResultsGroupSurveys($result) {
	global $group_id, $xoopsConfig, $xoopsDB;
	$rows  =  $xoopsDB->getRowsNum($result);
	$cols  =  unofficial_getNumFields($result);

  echo "<table border='0' width='100%'>"
	    ."<tr class='bg2'>"
			."<td><b>"._XF_SUR_SURVEYID."</b></td>"
			."<td><b>"._XF_SUR_SURVEYTITLE."</b></td>"
  	  ."</tr>";

	for($j=0; $j<$rows; $j++)  {

		echo "<TR class='".($j%2>0?'bg1':'bg3')."'>\n";
		echo "<TD><A HREF='survey.php?group_id=$group_id&survey_id=".unofficial_getDBResult($result,$j,"survey_id")."'>"
		    .unofficial_getDBResult($result,$j,"survey_id")."</TD>";

		for ($i=1; $i<$cols; $i++)  {
			printf("<TD>%s</TD>\n",unofficial_getDBResult($result,$j,$i));
		}

		echo "</tr>";
	}
	echo "</table>";
}

$sql = "SELECT survey_id,survey_title FROM ".$xoopsDB->prefix("xf_surveys")." WHERE group_id='$group_id' AND is_active='1'";

$result = $xoopsDB->query($sql);

if (!$result || $xoopsDB->getRowsNum($result) < 1) {
	echo "<H4>"._XF_SUR_NOACTIVESURVEYS."</H4>";
	echo $xoopsDB->error();
} else {
	ShowResultsGroupSurveys($result);
}

survey_footer();

?>
