<?php
/**
  *
  * SourceForge Forums Facility
  *
  * SourceForge: Breaking Down the Barriers to Open Source Development
  * Copyright 1999-2001 (c) VA Linux Systems
  * http://sourceforge.net
  *
  * @version   $Id: index.php,v 1.4 2002/06/07 09:17:34 arjenvanefferen Exp $
  *
  */


include_once ("../../../mainfile.php");

$langfile="forum.php";
require_once(XOOPS_ROOT_PATH."/xf/include/pre.php");
require_once(XOOPS_ROOT_PATH."/xf/forum/forum_utils.php");
require_once(XOOPS_ROOT_PATH."/xf/include/project_summary.php");

// get current information
project_check_access ($group_id);

// get current information
$group =& group_get_object($group_id);
$perm  =& $group->getPermission( $xoopsUser );

if (!$perm->isForumAdmin()) {
  redirect_header($GLOBALS["HTTP_REFERER"],2,_XF_G_PERMISSIONDENIED."<br />"._XF_FRM_YOUARENOTFORUMADMIN);
  exit;
}

if ($post_changes) {
		/*
			Update the DB to reflect the changes
		*/
		if ($delete) {
			/*
				Deleting messages or threads
			*/

			/*
				Get this forum_id, checking to make sure this forum is in this group
			*/
			$sql = "SELECT f.group_forum_id "
			      ."FROM ".$xoopsDB->prefix("xf_forum")." f,".$xoopsDB->prefix("xf_forum_group_list")." fgl "
						."WHERE f.group_forum_id=fgl.group_forum_id "
						."AND fgl.group_id='$group_id' "
						."AND f.msg_id='$msg_id'";

			$result = $xoopsDB->query($sql);

			if ($xoopsDB->getRowsNum($result) > 0) {
        $group_forum_id = unofficial_getDBResult($result,0,'group_forum_id');
				$feedback .= recursiveDeleteMessage( $msg_id, $group_forum_id );
				$feedback .= " "._XF_FRM_MESSAGESDELETED." ";
			} else {
				$feedback .= " "._XF_FRM_MESSAGESNOTFOUNDINYOURGROUP." ";
			}

		} else if ($add_forum) {
			/*
				Adding forums to this group
			*/
			forum_create_forum($group_id,$forum_name,$is_public,1,$description);

		} else if ($change_status) {
			/*
				Change a forum to public/private
			*/
			if ($send_all_posts_to) {
				if (!checkEmail($send_all_posts_to)) {
					$send_all_posts_to='';
					$feedback .= _XF_FRM_EMAILADDRESSINVALID;
				}
			}
			$sql = "UPDATE ".$xoopsDB->prefix("xf_forum_group_list")." "
			      ."SET is_public='$is_public',"
						."forum_name='". $ts->makeTboxData4Save($forum_name) ."',"
						."description='". $ts->makeTareaData4Save($description) ."', "
						."allow_anonymous='$allow_anonymous', "
						."send_all_posts_to='$send_all_posts_to' "
						."WHERE group_forum_id='$group_forum_id' "
						."AND group_id='$group_id'";
						
			$result = $xoopsDB->queryF($sql);
			if (!$result) {
				$feedback .= " "._XF_FRM_ERRORUPDATINGFORUMINFO." ";
			} else {
				$feedback .= " "._XF_FRM_FORUMINFOUPDATED." ";
			}
		}
	} 

	if ($delete) {
		/*
			Show page for deleting messages
		*/
    include ("../../../header.php");
    OpenTable();

    echo "<B style='font-size:16px;align:left;'>"._XF_FRM_FORUMADMIN." - "._XF_FRM_DELETEAMESSAGE."</B><br />";
    project_tabs ('forums', $group_id);
		echo "<a href='".$PHP_SELF."?group_id=".$group_id."'><b>"._XF_G_ADMIN."</b></a>";
		echo "<p>".$feedback."</p>";

		echo '
			<FONT COLOR="RED" SIZE="3">'._XF_FRM_WARNINGABOUTTODELETEMESSAGE.'</FONT>
			<FORM METHOD="POST" ACTION="'.$PHP_SELF.'">
			<INPUT TYPE="HIDDEN" NAME="post_changes" VALUE="y">
			<INPUT TYPE="HIDDEN" NAME="delete" VALUE="y">
			<INPUT TYPE="HIDDEN" NAME="group_id" VALUE="'.$group_id.'">
			<B>'._XF_FRM_ENTERMESSAGEID.'</B><BR>
			<INPUT TYPE="TEXT" NAME="msg_id" VALUE="">
			<INPUT TYPE="SUBMIT" NAME="SUBMIT" VALUE="'._XF_G_SUBMIT.'">
			</FORM>';

    CloseTable();
    include ("../../../footer.php");

	} else if ($add_forum) {
		/*
			Show the form for adding forums
		*/
    include ("../../../header.php");
    OpenTable();

    echo "<B style='font-size:16px;align:left;'>"._XF_FRM_FORUMADMIN." - "._XF_FRM_ADDAFORUM."</B><br />";
    project_tabs ('forums', $group_id);
		echo "<a href='".$PHP_SELF."?group_id=".$group_id."'><b>"._XF_G_ADMIN."</b></a>";
		echo "<p>".$feedback."</p>";

		$sql="SELECT forum_name FROM ".$xoopsDB->prefix("xf_forum_group_list")." WHERE group_id='$group_id'";
		$result = $xoopsDB->query($sql);
		ShowResultSet($result,_XF_FRM_EXISTINGFORUMS);

		echo '

			<FORM METHOD="POST" ACTION="'.$PHP_SELF.'">
			<INPUT TYPE="HIDDEN" NAME="post_changes" VALUE="y">
			<INPUT TYPE="HIDDEN" NAME="add_forum" VALUE="y">
			<INPUT TYPE="HIDDEN" NAME="group_id" VALUE="'.$group_id.'">
			<B>'._XF_FRM_FORUMNAME.':</B><BR>
			<INPUT TYPE="TEXT" NAME="forum_name" VALUE="" SIZE="20" MAXLENGTH="30"><BR>
			<B>'._XF_G_DESCRIPTION.':</B><BR>
			<INPUT TYPE="TEXT" NAME="description" VALUE="" SIZE="40" MAXLENGTH="80"><BR>
			<B>'._XF_G_ISPUBLIC.'</B><BR>
			<INPUT TYPE="RADIO" NAME="is_public" VALUE="1" CHECKED> '._YES.'<BR>
			<INPUT TYPE="RADIO" NAME="is_public" VALUE="0"> '._NO.'<P>
			<P>
			<B><FONT COLOR="RED">'._XF_FRM_ADDEDFORUMCANNOTBEMODIFIED.'</FONT></B>
			<P>
			<INPUT TYPE="SUBMIT" NAME="SUBMIT" VALUE="'._XF_FRM_ADDTHISFORUM.'">
			</FORM>';

    CloseTable();
    include ("../../../footer.php");

	} else if ($change_status) {
		/*
			Change a forum to public/private
		*/
    include ("../../../header.php");
    OpenTable();

    echo "<B style='font-size:16px;align:left;'>"._XF_FRM_FORUMADMIN." - "._XF_FRM_CHANGEFORUMSTATUS."</B><br />";
    project_tabs ('forums', $group_id);
		echo "<a href='".$PHP_SELF."?group_id=".$group_id."'><b>"._XF_G_ADMIN."</b></a>";
		echo "<p>".$feedback."</p>";

		$sql = "SELECT * FROM ".$xoopsDB->prefix("xf_forum_group_list")." WHERE group_id='$group_id'";
		$result = $xoopsDB->query($sql);
		$rows = $xoopsDB->getRowsNum($result);

		if (!$result || $rows < 1) {
			echo '
				<P>'._XF_FRM_NOFORUMSFOUNDFORTHISPROJECT;
		} else {
			echo '
			<P>'._XF_FRM_CHANGEFORUMINFO.'<P>';

      echo "<table border='0' width='100%'>"
          ."<tr class='bg2'>"
  	      ."<td><b>"._XF_FRM_FORUM."</b></td>"
  	      ."<td><b>"._XF_FRM_STATUS."</b></td>"
  	      ."<td><b>"._XF_G_UPDATE."</b></td>"
  	      ."</tr>";

			for ($i=0; $i<$rows; $i++) {
				echo '
					<TR class="'.($i%2>0?"bg1":"bg3") .'"><TD COLSPAN="3"><B style="font-size:14px;text-align:left;">'.$ts->makeTboxData4Show(unofficial_getDBResult($result,$i,'forum_name')).'</B></TD></TR>';
				echo '
					<FORM ACTION="'.$PHP_SELF.'" METHOD="POST">
					<INPUT TYPE="HIDDEN" NAME="post_changes" VALUE="y">
					<INPUT TYPE="HIDDEN" NAME="change_status" VALUE="y">
					<INPUT TYPE="HIDDEN" NAME="group_forum_id" VALUE="'.unofficial_getDBResult($result,$i,'group_forum_id').'">
					<INPUT TYPE="HIDDEN" NAME="group_id" VALUE="'.$group_id.'">
					<TR class="'.($i%2>0?"bg1":"bg3") .'"><TD>
						<FONT SIZE="-1">
               <B>'._XF_FRM_ALLOWANONYMOUS.'</B><BR>
               <INPUT TYPE="RADIO" NAME="allow_anonymous" VALUE="1"'.((unofficial_getDBResult($result,$i,'allow_anonymous')=='1')?' CHECKED':'').'> '._YES.'<BR>
               <INPUT TYPE="RADIO" NAME="allow_anonymous" VALUE="0"'.((unofficial_getDBResult($result,$i,'allow_anonymous')=='0')?' CHECKED':'').'> '._NO.'<BR>
						</FONT>
					</TD>
					<TD>
						<FONT SIZE="-1">
						<B>'._XF_G_ISPUBLIC.'</B><BR>
						<INPUT TYPE="RADIO" NAME="is_public" VALUE="1"'.((unofficial_getDBResult($result,$i,'is_public')=='1')?' CHECKED':'').'> '._YES.'<BR>
						<INPUT TYPE="RADIO" NAME="is_public" VALUE="0"'.((unofficial_getDBResult($result,$i,'is_public')=='0')?' CHECKED':'').'> '._NO.'<BR>
						<INPUT TYPE="RADIO" NAME="is_public" VALUE="9"'.((unofficial_getDBResult($result,$i,'is_public')=='9')?' CHECKED':'').'> '._XF_G_DELETED.'<BR>
					</TD><TD>
						<FONT SIZE="-1">
						<INPUT TYPE="SUBMIT" NAME="SUBMIT" VALUE="'._XF_G_UPDATE.'">
					</TD></TR>
					<TR class="'.($i%2>0?"bg1":"bg3") .'"><TD>
						<B>'._XF_FRM_FORUMNAME.':</B><BR>
						<INPUT TYPE="TEXT" NAME="forum_name" VALUE="'. $ts->makeTboxData4Edit(unofficial_getDBResult($result,$i,'forum_name')).'" SIZE="20" MAXLENGTH="30">
					</TD><TD COLSPAN="2">
						<B>'._XF_FRM_EMAILALLTO.':</B><BR>
            <INPUT TYPE="TEXT" NAME="send_all_posts_to" VALUE="'. unofficial_getDBResult($result,$i,'send_all_posts_to').'" SIZE="30" MAXLENGTH="50">
					</TD></TR>
					<TR class="'.($i%2>0?"bg1":"bg3") .'"><TD COLSPAN="3">
						<B>'._XF_G_DESCRIPTION.':</B><BR>
						<INPUT TYPE="TEXT" NAME="description" VALUE="'. $ts->makeTareaData4Edit(unofficial_getDBResult($result,$i,'description')) .'" SIZE="40" MAXLENGTH="80"><BR>
					</TD></TR></FORM>';
			}
			echo '</TABLE>';
		}

    CloseTable();
    include ("../../../footer.php");

	} else {
		/*
			Show main page for choosing 
			either moderotor or delete
		*/
    include ("../../../header.php");
    OpenTable();

    echo "<B style='font-size:16px;align:left;'>"._XF_FRM_FORUMADMIN."</B><br />";
    project_tabs ('forums', $group_id);
		echo "<a href='".$PHP_SELF."?group_id=".$group_id."'><b>"._XF_G_ADMIN."</b></a>";
		echo "<p>".$feedback."</p>";

		echo '
			<P>
			<A HREF="'.$PHP_SELF.'?group_id='.$group_id.'&add_forum=1">'._XF_FRM_ADDAFORUM.'</A><BR>
			<A HREF="'.$PHP_SELF.'?group_id='.$group_id.'&delete=1">'._XF_FRM_DELETEAMESSAGE.'</A><BR>
			<A HREF="'.$PHP_SELF.'?group_id='.$group_id.'&change_status=1">'._XF_FRM_CHANGEFORUMSTATUS.'</A>';

    CloseTable();
    include ("../../../footer.php");
}
?>
