<?php
// /xf/news/news_utils.php
define("_XF_NWS_NONEWSITEMSFOUND","No News Items Found");
define("_XF_NWS_COMMENT","Comment");
define("_XF_NWS_COMMENTS","Comments");
define("_XF_NWS_READMORECOMMENT","Read More/Comment");
define("_XF_NWS_NEWSARCHIVE","News archive");
define("_XF_NWS_SUBMITNEWS","Submit News");

// filemodule_monitor.php
define("_XF_PRJ_MONITORAPACKAGE","Monitor A Package");
define("_XF_PRJ_PACKAGEISMONITORED","Package is now being monitored");
define("_XF_PRJ_PACKAGEMONITOREDINFO1","You will now be emailed when new files are released.");
define("_XF_PRJ_PACKAGEMONITOREDINFO2","To turn off monitoring, simply click the <B>Monitor Package</B> link again.");
define("_XF_PRJ_MONITORINGTURNEDOFF","Monitoring has been turned off");
define("_XF_PRJ_MONITORINGTURNEDOFFINFO","You will not receive any more emails from this package.");

// index.php
define("_XF_PRJ_PROJECTMARKEDASPRIVATE","Sorry, this project is marked as private and you are not a member of this project");
define("_XF_PRJ_NOTAUTHORIZEDTOENTER","You are not authorized to enter this project page");
define("_XF_PRJ_ISMAINTAINEDBYSTAFF","NOTE: This project entry is maintained by the XoopsForge staff. We are not the official site for this product. Additional copyright information may be found on this project's homepage.");
define("_XF_PRJ_NODESCRIPTION","This project has not submitted a description.");
define("_XF_PRJ_UNIXNAME","Unix Name");
define("_XF_PRJ_REGISTERED","Registered");
define("_XF_PRJ_ACTIVITYPERCENT","Activity Percentile");
define("_XF_PRJ_HELPWANTEDFOR_1","HELP WANTED: This project is looking for"); // read these
define("_XF_PRJ_HELPWANTEDFOR_2","people to fill");                           // 3 lines as 
define("_XF_PRJ_HELPWANTEDFOR_3","several different positions");              // one sentence
define("_XF_PRJ_DEVELOPERSINFO","Developers Info");
define("_XF_PRJ_PROJECTADMINS","Project Admins");
define("_XF_PRJ_DEVELOPERS","Developers");
define("_XF_PRJ_VIEWMEMBERS","View Members");
define("_XF_PRJ_LATESTFILERELEASES","Latest File Releases");
define("_XF_PRJ_PACKAGE","Package");
define("_XF_PRJ_VERSION","Version");
define("_XF_PRJ_RELEASEDATE","Release Date");
define("_XF_PRJ_NOTES","Notes");
define("_XF_PRJ_MONITOR","Monitor");
define("_XF_PRJ_DOWNLOAD","Download");
define("_XF_PRJ_THISPROJECTNOTRELEASED","This Project Has Not Released Any Files");
define("_XF_PRJ_RELEASENOTES","Release Notes");
define("_XF_PRJ_MONITORTHISPACKAGE","Monitor This Package");
define("_XF_PRJ_VIEWALLPROJECTFILES","View ALL Project Files");
define("_XF_PRJ_PUBLICAREA","Public Area");
define("_XF_PRJ_PROJECTHOMEPAGE","Project Homepage");
define("_XF_PRJ_PROJECTTRACKERS","Project Trackers");
define("_XF_PRJ_NOPUBLICTRACKERS","There are no public trackers available");
define("_XF_PRJ_TOTAL","total");
define("_XF_PRJ_OPEN","open");
define("_XF_PRJ_PUBLICFORUMS","Public Forums");
define("_XF_PRJ_MESSAGESINFORUMS","%s messages in %s forum(s)"); // %s = number of messages, %s = number of forums
define("_XF_PRJ_PROJECTDOCUMENTATION","Project Documentation");
define("_XF_PRJ_TASKMANAGER","Task Manager");
define("_XF_PRJ_NOSUBPROJECTS","There are no public subprojects available");
define("_XF_PRJ_SURVEYS","survey(s)");
define("_XF_PRJ_LATESTNEWS","Latest News");
define("_XF_PRJ_PROJECTDOESNOTEXIST","That project does not exist in our database");

// memberlist.php
define("_XF_PRJ_PROJECTMEMBERLIST","Project Member List");
define("_XF_PRJ_USERNAME","Username");
define("_XF_PRJ_REALNAME","Realname");
define("_XF_PRJ_ROLEPOSITION","Role/Position");
define("_XF_PRJ_MESSAGE","Message");
define("_XF_PRJ_SKILLS","Skills");
define("_XF_PRJ_VIEW","View");

// showfiles.php
define("_XF_PRJ_PROJECTFILELIST","Project File List");
define("_XF_PRJ_NOFILEPACKAGESDEFINED","There are no file packages defined for this project.");
define("_XF_PRJ_BELOWLISTOFALLFILES","Below is a list of all files of the project.");
define("_XF_PRJ_RELEASECHOSENISHIGH","The release you have chosen is <span class='bg4'>highlighted</span>."); // <span> around "highlighted" is required!
define("_XF_PRJ_READNOTESBEFOREDOWNLOAD","Before downloading, you may want to read Release Notes and ChangeLog (accessible by clicking on release version).");
define("_XF_PRJ_RELEASE","Release");
define("_XF_PRJ_FILENAME","Filename");
define("_XF_PRJ_SIZE","Size");
define("_XF_PRJ_DL","D/L");
define("_XF_PRJ_ARCH","Arch.");
define("_XF_PRJ_TYPE","Type");
define("_XF_PRJ_NORELEASES","No Releases");
define("_XF_PRJ_NOFILES","No Files");
define("_XF_PRJ_PROJECTTOTALS","Project Totals");

// shownotes.php
define("_XF_PRJ_RELEASENOTESANDCHANGELOG","File Release Notes and Changelog");
define("_XF_PRJ_RELEASENAME","Release Name");
define("_XF_PRJ_CHANGES","Changes");

// admin/editgroupinfo.php
define("_XF_PRJ_EDITGROUPINFO","Edit Group Info");
define("_XF_PRJ_DESCGROUPNAME","Descriptive Group Name");
define("_XF_PRJ_SHORTDESCRIPTION255MAX","Short Description (255 Character Max, HTML will be stripped from this description)");
define("_XF_PRJ_ACTIVEFEATURES","Active Features");
define("_XF_PRJ_USESURVEYS","Use Surveys");
define("_XF_PRJ_USEFORUMS","Use Forums");
define("_XF_PRJ_USEPROJECTMAN","Use Project/Task Manager");
define("_XF_PRJ_USETASKDEP","Use Task Dependency List");
define("_XF_PRJ_USENEWS","Use News");
define("_XF_PRJ_USEDOCMGR","Use Doc Manager");
define("_XF_PRJ_WISHDEFAULTEMAILADDRESS","If you wish, you can provide default email addresses to which new submissions will be sent.");
define("_XF_PRJ_NEWTASKASSIGNMENTS","New Task Assignments");
define("_XF_PRJ_SENDONALLUPDATES","send on all updates");

// admin/editpackages.php
define("_XF_PRJ_NOTRELEASETECHNIC","You're not a Release Technician of this project");
define("_XF_PRJ_ADDEDPACKAGE","Added Package");
define("_XF_PRJ_UPDATEDPACKAGE","Updated Package");
define("_XF_PRJ_RELEASEEDITFILERELEASES","Release/Edit File Releases");
define("_XF_PRJ_NOPACKAGESDEFINED","You Have No Packages Defined");
define("_XF_PRJ_RELEASES","Releases");
define("_XF_PRJ_STATUS","Status");
define("_XF_PRJ_PACKAGENAME","Package Name");
define("_XF_PRJ_ADDRELEASE","Add Release");
define("_XF_PRJ_EDITRELEASES","Edit Releases");
define("_XF_PRJ_NEWPACKAGENAME","New Package Name");
define("_XF_PRJ_CREATETHISPACKAGE","Create This Package");

// admin/editreleases.php
define("_XF_PRJ_RELEASENEWFILEVERSION","Release New File Version");
define("_XF_PRJ_DATASAVED","Data Saved");
define("_XF_PRJ_FILESADDED","File(s) Added");
define("_XF_PRJ_FILEDELETED","File Deleted");
define("_XF_PRJ_FILEUPDATED","File Updated");
define("_XF_PRJ_EMAILNOTICESENT","Email Notice Sent");
define("_XF_PRJ_NORELEASESDEFINED","You Have No Releases Defined");
define("_XF_PRJ_NORELEASESTHISPACKAGEDEFINED","You Have No Releases Of This Package Defined");
define("_XF_PRJ_EDITTHISRELEASE","Edit This Release");
define("_XF_PRJ_EDITTHISPACKAGE","Edit This Package");
define("_XF_PRJ_OFPACKAGE","Of Package");
define("_XF_PRJ_STEP1","Step 1:&nbsp;&nbsp;Edit Existing Release");
define("_XF_PRJ_STEP1EDITRELEASENOTES","Edit the Release Notes or Change Log for this release of this package. These changes will apply to all files attached to this release.");
define("_XF_PRJ_PASTENOTES","Paste The Release Notes In");
define("_XF_PRJ_PASTELOG","Paste The Change Log In");
define("_XF_PRJ_PRESERVEFORMAT","Preserve my pre-formatted text");
define("_XF_PRJ_SUBMITREFRESH","Submit/Refresh");
define("_XF_PRJ_STEP2","Step 2:&nbsp;&nbsp; Add Files To This Release");
define("_XF_PRJ_STEP2WHENUPLOADED","When you have uploaded your files to a public web space, you can add them using this step.");
define("_XF_PRJ_FILESIZE","File Size");
define("_XF_PRJ_FILEURL","File URL");
define("_XF_PRJ_ADDFILE","Add File");
define("_XF_PRJ_STEP3","Step 3:&nbsp;&nbsp; Edit Files In This Release");
define("_XF_PRJ_NOFILESINRELEASE","No Files In This Release");
define("_XF_PRJ_ONCEADDEDMUSTUPDATE","Once you have added files to this release you <b>must</b> update each of these files with the correct information or they will not appear on your download summary page.");
define("_XF_PRJ_FILETYPE","File Type");
define("_XF_PRJ_PROCESSOR","Processor");
define("_XF_PRJ_DELETEFILE","Delete File");
define("_XF_PRJ_IMSURE","I'm Sure");
define("_XF_PRJ_STEP4","Step 4:&nbsp;&nbsp; Email Release Notice");
define("_XF_PRJ_USERSAREMONITORING","%s users(s) are monitoring this package. You should send a notice of your file release."); // %s = number of users
define("_XF_PRJ_SENDNOTICE","Send Notice");
define("_XF_PRJ_NOBODYMONITORING","Nobody is monitoring this package at this time.");

// admin/grouptrove.php
define("_XF_PRJ_GROUPTROVEALTERED","Group Trove Information has been altered");
define("_XF_PRJ_GROUPTROVEINFORMATION","Group Trove Information");
define("_XF_PRJ_EDITTROVECATEGORIZATION","Edit Trove Categorization");
define("_XF_PRJ_EDITTROVEEXPLAIN1","Select up to three locations for this project in each of the Trove root categories. If the project does not require any or all of these locations, simply select 'None Selected'.");
define("_XF_PRJ_EDITTROVEEXPLAIN2","IMPORTANT: Projects should be categorized in the most specific locations available in the map. Simulteneous categorization in a specific category AND a parent category will result in only the more specific categorization being accepted.");
define("_XF_PRJ_UPDATEALLCATEGORYCHANGES","Update All Category Changes");

// admin/history.php
define("_XF_PRJ_LOGWILLSHOWCHANGES","This log will show who made significant changes to your project and when.");

// admin/index.php
define("_XF_PRJ_ADMINSUMMARY","Administration Summary");
define("_XF_PRJ_MISCPROJECTINFO","Misc. Project Information");
define("_XF_PRJ_TROVECATEGORIZATION","Trove Categorization");
define("_XF_PRJ_SHOWINGTHELOGO","Showing The Logo");
define("_XF_PRJ_IFUSESHOWTHELOGO","If you use our services, we ask you to display our logo on your project homepage");
define("_XF_PRJ_GROUPMEMBERS","Group Members");
define("_XF_PRJ_ADDUSER","Add User");
define("_XF_PRJ_EDITMEMBERPERMS","Edit Member Permissions");
define("_XF_PRJ_TOOLADMIN","Tool Admin");
define("_XF_PRJ_TRACKERADMIN","Tracker Admin");
define("_XF_PRJ_DOCMANAGERADMIN","DocManager Admin");
define("_XF_PRJ_NEWSADMIN","News Admin");
define("_XF_PRJ_TASKADMIN","Task Manager Admin");
define("_XF_PRJ_FORUMADMIN","Forum Admin");
define("_XF_PRJ_FILERELEASES","File Releases");
define("_XF_PRJ_PACKAGES","Packages");
define("_XF_PRJ_WHATISTHIS","What is this?");
define("_XF_PRJ_VERYIMPORTANT","Very Important!");

// admin/newrelease.php
define("_XF_PRJ_RELEASEADDED","Release added");
define("_XF_PRJ_NEWRELEASENAME","New release name");
define("_XF_PRJ_CREATETHISRELEASE","Create This Release");

// admin/rmuser.php
define("_XF_PRJ_CANNOTREMOVEXXXADMIN","Operation Not Permitted, You cannot remove %s admin."); // %s = 'project' or 'foundry'
define("_XF_PRJ_MEMBERADMINISTRATION","Member Administration");
define("_XF_PRJ_REMOVINGDEVELOPERFROM","Removing Developer from %s"); // %s = 'Project' or 'Foundry'
define("_XF_PRJ_CONFIRMREMOVEDEVELOPER","You are about to remove developer from the %s. Please confirm your action"); // %s = 'Project' or 'Foundry'

// admin/userpermedit.php
define("_XF_PRJ_USERDOESNOTEXSIT","That user does not exist on this website");
define("_XF_PRJ_USERADDEDSUCCESSFULLY","User Added Successfully");
define("_XF_PRJ_CHANGEDPERMISSIONSFOR","Changed Permissions for");
define("_XF_PRJ_PERMISSIONSUPDATED","Permissions Updated");
define("_XF_PRJ_PROJECTDEVPERMISSIONS","Project Developer Permissions");
define("_XF_PRJ_DEVELOPERNOTFOUND","Developer Not Found In This Group");
define("_XF_PRJ_PROJECTROLE","Project role");
define("_XF_PRJ_PROJECTADMIN","Project Admin");
define("_XF_PRJ_RELEASETECHNICIAN","Release Technician");
define("_XF_PRJ_TRACKERMANAGER","Tracker Manager");
define("_XF_PRJ_PROJECTTASKMANAGER","Project/Task Manager");
define("_XF_PRJ_DOCMANAGER","Documentation Manager");
define("_XF_PRJ_TECHNICIAN","Technician");
define("_XF_PRJ_ADMINTECH","Admin & Tech");
define("_XF_PRJ_ADMINONLY","Admin Only");
define("_XF_PRJ_MODERATOR","Moderator");
define("_XF_PRJ_EDITOR","Editor");
define("_XF_PRJ_UPDATEDEVELOPERPERMISSIONS","Update Developer Permissions");
define("_XF_PRJ_ADDUSERSTHESETRACKERS","Add User To These Trackers");
define("_XF_PRJ_ADDUSERSTHESETRACKERSINFO","You can pick and choose which trackers this user has any privileges in, or simply add the user to all trackers by checking 'Add To All'.");
define("_XF_PRJ_ADDTOTRACKER","Add To Tracker");
define("_XF_PRJ_ADDTOALL","Add To All");

// admin/userperms.php
define("_XF_PRJ_RELTECH","Rel.Tech.");
define("_XF_PRJ_CLICKNAMEBELOW","Click developer's name below to edit permissions.");
define("_XF_PRJ_GENERAL","General");
define("_XF_PRJ_NODEVELOPERSFOUND","No Developers Found");

?>