<?php
/**
  *
  * SourceForge Jobs (aka Help Wanted) Board 
  *
  * SourceForge: Breaking Down the Barriers to Open Source Development
  * Copyright 1999-2001 (c) VA Linux Systems
  * http://sourceforge.net
  *
  * @version   $Id: editprofile.php,v 1.2 2002/05/29 09:24:02 arjenvanefferen Exp $
  *
  */

include_once ("../../mainfile.php");

$langfile="people.php";
require_once(XOOPS_ROOT_PATH."/xf/include/pre.php");
require_once(XOOPS_ROOT_PATH."/xf/include/project_summary.php");
require_once(XOOPS_ROOT_PATH."/xf/people/people_utils.php");

if (!$xoopsUser)
{
	redirect_header(XOOPS_URL."/user.php",2,_NOPERM);
	exit;
}

if ($update_profile) {
	/*
		update the job's description, status, etc
	*/
	if (!$resume) {
		//required info
		echo _XF_PEO_FILLINALLFIELDS;
		exit;
	}

	$sql = "UPDATE ".$xoopsDB->prefix("xf_user_profile")." SET people_view_skills='$people_view_skills',resume='".$ts->makeTareaData4Save($resume)."' "
	      ."WHERE user_id='".$xoopsUser->getVar("uid")."'";
				
	$result = $xoopsDB->queryF($sql);
	if (!$result) {
		$feedback .= ' User update FAILED ';
		echo $xoopsDB->error();
	} else {
		$feedback .= ' '._XF_PEO_USERUPDATED.' ';
	}

} else if ($add_to_skill_inventory) {
	/*
		add item to job inventory
	*/
	if ($skill_id==100 || $skill_level_id==100 || $skill_year_id==100) {
		//required info
		echo _XF_PEO_FILLINALLFIELDS;
		exit;
	}
	people_add_to_skill_inventory($skill_id,$skill_level_id,$skill_year_id);

} else if ($update_skill_inventory) {
	/*
		Change Skill level, experience etc.
	*/
	if ($skill_level_id==100 || $skill_year_id==100  || !$skill_inventory_id) {
		//required info
		echo _XF_PEO_FILLINALLFIELDS;
		exit;
	}

	$sql = "UPDATE ".$xoopsDB->prefix("xf_people_skill_inventory")." SET "
	      ."skill_level_id='$skill_level_id',"
				."skill_year_id='$skill_year_id' "
				."WHERE user_id='".$xoopsUser->getVar("uid")."' "
				."AND skill_inventory_id='$skill_inventory_id'";
				
	$result = $xoopsDB->queryF($sql);
		
	if (!$result) {
		$feedback .= ' User Skill update FAILED ';
		echo $xoopsDB->error();
	} else {
		$feedback .= ' '._XF_PEO_USERSKILLUPDATED.' ';
	}

} else if ($delete_from_skill_inventory) {
	/*
		remove this skill from this job
	*/
	if (!$skill_inventory_id) {
		//required info
		echo _XF_PEO_FILLINALLFIELDS;
		exit;
	}

	$sql = "DELETE FROM ".$xoopsDB->prefix("xf_people_skill_inventory")." "
	      ."WHERE user_id='".$xoopsUser->getVar("uid")."' "
				."AND skill_inventory_id='$skill_inventory_id'";
				
	$result = $xoopsDB->queryF($sql);
	if (!$result) {
			$feedback .= ' User Skill Delete FAILED ';
  		echo $xoopsDB->error();
	} else {
		$feedback .= ' '._XF_PEO_USERSKILLDELETED.' ';
	}
}
/*
	Fill in the info to create a job
*/
include (XOOPS_ROOT_PATH."/header.php");
OpenTable();

echo "<B style='font-size:16px;align:left;'>"._XF_PEO_EDITYOURPROFILE."</B><br />";
echo "<p>".$feedback."</p>";

//for security, include group_id
$sql = "SELECT * FROM ".$xoopsDB->prefix("xf_user_profile")." WHERE user_id='".$xoopsUser->getVar("uid")."'";
$result = $xoopsDB->queryF($sql);
if ($xoopsDB->getRowsNum($result) < 1) {
  $xoopsDB->queryF("INSERT INTO ".$xoopsDB->prefix("xf_user_profile")." (user_id) VALUES (".$xoopsUser->getVar("uid").")");
	
	$people_view_skills = 1;
	$resume = "";
} else {
	$people_view_skills = unofficial_getDBResult($result,0,'people_view_skills');
	$resume = unofficial_getDBResult($result,0,'resume');
}
echo '
<P>'._XF_PEO_EDITYOURPROFILEINFO.' 
<P>
<FORM ACTION="'.$PHP_SELF.'" METHOD="POST">
<P>'._XF_PEO_EDITYOURPROFILEINFO1.'
<P>
<B>'._XF_PEO_PUBLICLYVIEWABLE.':</B><BR>
<INPUT TYPE="RADIO" NAME="people_view_skills" VALUE="0" '. (($people_view_skills==0)?'CHECKED':'') .'> <B>'._NO.'</B><BR>
<INPUT TYPE="RADIO" NAME="people_view_skills" VALUE="1" '. (($people_view_skills==1)?'CHECKED':'') .'> <B>'._YES.'</B><BR>
<P>'._XF_PEO_GIVEUSSOMEINFO.'
<P>
<B>'._XF_PEO_RESUME.':</B><BR>
<TEXTAREA NAME="resume" ROWS="15" COLS="60" WRAP="SOFT">'. $ts->makeTareaData4Edit($resume) .'</TEXTAREA>
<P>
<INPUT TYPE="SUBMIT" NAME="update_profile" VALUE="'._XF_PEO_UPDATEPROFILE.'">
</FORM>';

//now show the list of desired skills
echo '<P>'.people_edit_skill_inventory( $xoopsUser->uid() );
echo '<P><FORM ACTION="'.XOOPS_URL.'/xf/people/" METHOD="POST">
      <INPUT TYPE="SUBMIT" NAME="SUBMIT" VALUE="'._XF_PEO_FINISHED.'"></FORM>'; 

people_footer();
?>
