<?php
/**
  *
  * SourceForge Jobs (aka Help Wanted) Board 
  *
  * SourceForge: Breaking Down the Barriers to Open Source Development
  * Copyright 1999-2001 (c) VA Linux Systems
  * http://sourceforge.net
  *
  * @version   $Id: index.php,v 1.2 2002/05/29 09:24:02 arjenvanefferen Exp $
  *
  */

include_once ("../../mainfile.php");

$langfile="people.php";
require_once(XOOPS_ROOT_PATH."/xf/include/pre.php");
require_once(XOOPS_ROOT_PATH."/xf/include/project_summary.php");
require_once(XOOPS_ROOT_PATH."/xf/people/people_utils.php");


if ($group_id) {

	people_header($group_id, $job_id);

  // $group =& group_get_object($group_id);
	echo '<P>'._XF_PEO_LISTOFPOSITIONS.'<P>';
	echo people_show_project_jobs($group_id);
	
} else if ($category_id) {

	people_header($group_id, $job_id);

	echo '<P>'._XF_PEO_CLICKJOBTITLESFORDETAIL.'<P>';
	echo people_show_category_jobs($category_id);

} else {

	people_header($group_id, $job_id);

	echo people_show_category_table();

  echo '<h4>'._XF_PEO_LASTPOSTS.'</h4>';

	$sql = "SELECT pj.group_id,pj.job_id,g.group_name,g.unix_group_name,pj.title,pj.date,pjc.name AS category_name "
		    ."FROM ".$xoopsDB->prefix("xf_people_job")." pj,".$xoopsDB->prefix("xf_people_job_category")." pjc,".$xoopsDB->prefix("xf_groups")." g "
				."WHERE pj.group_id=g.group_id "
				."AND pj.category_id=pjc.category_id "
				."AND pj.status_id=1 "
				."ORDER BY date DESC";
				
	$result = $xoopsDB->query($sql, 5);
  echo people_show_job_list($result);
  echo '<p>[ <a href="helpwanted-latest.php">'._XF_PEO_MORELATESTPOSTS.'</a> ]</p>';
}

people_footer();

?>
